/* gsound-play.c generated by valac 0.56.17, the Vala compiler
 * generated from gsound-play.vala, do not modify */

/* gsound-play.vala
 *
 * Copyright (C) 2014 Tristan Brindle <t.c.brindle@gmail.com>
 *
 * This file is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of the
 * License, or (at your option) any later version.
 *
 * This file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <float.h>
#include <math.h>
#include "gsound.h"
#include <gio/gio.h>
#include <locale.h>
#include <glib-object.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

typedef struct _PlayData PlayData;
#define _g_option_context_free0(var) ((var == NULL) ? NULL : (var = (g_option_context_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_main_loop_unref0(var) ((var == NULL) ? NULL : (var = (g_main_loop_unref (var), NULL)))

struct _PlayData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	gint _tmp0_;
	GSoundContext* _tmp1_;
	GHashTable* _tmp2_;
	GError* _inner_error0_;
};

VALA_EXTERN gchar* event_id;
gchar* event_id = NULL;
VALA_EXTERN gchar* filename;
gchar* filename = NULL;
VALA_EXTERN gchar* desc;
gchar* desc = NULL;
VALA_EXTERN gchar* cache;
gchar* cache = NULL;
VALA_EXTERN gint loops;
gint loops = 0;
VALA_EXTERN gdouble volume;
gdouble volume = 0.0;
VALA_EXTERN gchar* driver;
gchar* driver = NULL;
VALA_EXTERN GMainLoop* main_loop;
GMainLoop* main_loop = NULL;
VALA_EXTERN GSoundContext* gs_ctx;
GSoundContext* gs_ctx = NULL;
VALA_EXTERN GHashTable* attrs;
GHashTable* attrs = NULL;

static void play_data_free (gpointer _data);
VALA_EXTERN void play (GAsyncReadyCallback _callback_,
           gpointer _user_data_);
VALA_EXTERN void play_finish (GAsyncResult* _res_,
                  GError** error);
static gboolean play_co (PlayData* _data_);
static void play_ready (GObject* source_object,
                 GAsyncResult* _res_,
                 gpointer _user_data_);
static gint _vala_main (gchar** args,
                 gint args_length1);
static void _g_free0_ (gpointer var);
static void ___lambda4_ (GObject* obj,
                  GAsyncResult* res);
static void ____lambda4__gasync_ready_callback (GObject* source_object,
                                         GAsyncResult* res,
                                         gpointer self);

const GOptionEntry opts[8] = {{"id", 'i', (gint) 0, G_OPTION_ARG_STRING, &event_id, "Event sound identifier", "STRING"}, {"file", 'f', (gint) 0, G_OPTION_ARG_FILENAME, &filename, "Play file", "PATH"}, {"description", 'd', (gint) 0, G_OPTION_ARG_STRING, &desc, "Event sound description", "STRING"}, {"cache-control", 'c', (gint) 0, G_OPTION_ARG_STRING, &cache, "Cache control (permanent, volatile, never", "STRING"}, {"loop", 'l', (gint) 0, G_OPTION_ARG_INT, &loops, "Loop many times (default: 1)", "INTEGER"}, {"volume", 'V', (gint) 0, G_OPTION_ARG_DOUBLE, &volume, "A floating point dB value for the sample volume (ex: 0.0)", "STRING"}, {"backend", 'b', (gint) 0, G_OPTION_ARG_STRING, &driver, "libcanberra backend to use", "STRING"}, {NULL}};

static void
play_data_free (gpointer _data)
{
	PlayData* _data_;
	_data_ = _data;
	g_slice_free (PlayData, _data_);
}

void
play (GAsyncReadyCallback _callback_,
      gpointer _user_data_)
{
	PlayData* _data_;
	_data_ = g_slice_new0 (PlayData);
	_data_->_async_result = g_task_new (NULL, NULL, _callback_, _user_data_);
	g_task_set_task_data (_data_->_async_result, _data_, play_data_free);
	play_co (_data_);
}

void
play_finish (GAsyncResult* _res_,
             GError** error)
{
	PlayData* _data_;
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
	if (NULL == _data_) {
		return;
	}
}

static void
play_ready (GObject* source_object,
            GAsyncResult* _res_,
            gpointer _user_data_)
{
	PlayData* _data_;
#line 52 "../tools/gsound-play.vala"
	_data_ = _user_data_;
#line 52 "../tools/gsound-play.vala"
	_data_->_source_object_ = source_object;
#line 52 "../tools/gsound-play.vala"
	_data_->_res_ = _res_;
#line 52 "../tools/gsound-play.vala"
	play_co (_data_);
#line 154 "gsound-play.c"
}

static gboolean
play_co (PlayData* _data_)
{
#line 49 "../tools/gsound-play.vala"
	switch (_data_->_state_) {
#line 49 "../tools/gsound-play.vala"
		case 0:
#line 164 "gsound-play.c"
		goto _state_0;
#line 49 "../tools/gsound-play.vala"
		case 1:
#line 168 "gsound-play.c"
		goto _state_1;
		default:
#line 49 "../tools/gsound-play.vala"
		g_assert_not_reached ();
#line 173 "gsound-play.c"
	}
	_state_0:
#line 51 "../tools/gsound-play.vala"
	while (TRUE) {
#line 51 "../tools/gsound-play.vala"
		_data_->_tmp0_ = loops;
#line 51 "../tools/gsound-play.vala"
		loops = _data_->_tmp0_ - 1;
#line 51 "../tools/gsound-play.vala"
		if (!(_data_->_tmp0_ > 0)) {
#line 51 "../tools/gsound-play.vala"
			break;
#line 186 "gsound-play.c"
		}
#line 52 "../tools/gsound-play.vala"
		_data_->_tmp1_ = gs_ctx;
#line 52 "../tools/gsound-play.vala"
		_data_->_tmp2_ = attrs;
#line 52 "../tools/gsound-play.vala"
		_data_->_state_ = 1;
#line 52 "../tools/gsound-play.vala"
		gsound_context_play_fullv (_data_->_tmp1_, _data_->_tmp2_, NULL, play_ready, _data_);
#line 52 "../tools/gsound-play.vala"
		return FALSE;
#line 198 "gsound-play.c"
		_state_1:
#line 52 "../tools/gsound-play.vala"
		gsound_context_play_full_finish (_data_->_tmp1_, _data_->_res_, &_data_->_inner_error0_);
#line 52 "../tools/gsound-play.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 52 "../tools/gsound-play.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 52 "../tools/gsound-play.vala"
			g_object_unref (_data_->_async_result);
#line 52 "../tools/gsound-play.vala"
			return FALSE;
#line 210 "gsound-play.c"
		}
	}
#line 49 "../tools/gsound-play.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 49 "../tools/gsound-play.vala"
	if (_data_->_state_ != 0) {
#line 49 "../tools/gsound-play.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 49 "../tools/gsound-play.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 221 "gsound-play.c"
		}
	}
#line 49 "../tools/gsound-play.vala"
	g_object_unref (_data_->_async_result);
#line 49 "../tools/gsound-play.vala"
	return FALSE;
#line 228 "gsound-play.c"
}

static void
_g_free0_ (gpointer var)
{
#line 80 "../tools/gsound-play.vala"
	var = (g_free (var), NULL);
#line 236 "gsound-play.c"
}

static gchar*
double_to_string (gdouble self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* result;
#line 997 "glib-2.0.vapi"
	_tmp0_ = g_new0 (gchar, G_ASCII_DTOSTR_BUF_SIZE);
#line 997 "glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 997 "glib-2.0.vapi"
	_tmp1__length1 = G_ASCII_DTOSTR_BUF_SIZE;
#line 997 "glib-2.0.vapi"
	_tmp2_ = g_ascii_dtostr (_tmp1_, (gint) G_ASCII_DTOSTR_BUF_SIZE, self);
#line 997 "glib-2.0.vapi"
	_tmp3_ = g_strdup (_tmp2_);
#line 997 "glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 997 "glib-2.0.vapi"
	_tmp1_ = (g_free (_tmp1_), NULL);
#line 997 "glib-2.0.vapi"
	result = _tmp4_;
#line 997 "glib-2.0.vapi"
	return result;
#line 267 "gsound-play.c"
}

static void
___lambda4_ (GObject* obj,
             GAsyncResult* res)
{
	GError* _inner_error0_ = NULL;
#line 99 "../tools/gsound-play.vala"
	g_return_if_fail (res != NULL);
#line 277 "gsound-play.c"
	{
#line 101 "../tools/gsound-play.vala"
		play_finish (res, &_inner_error0_);
#line 101 "../tools/gsound-play.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 283 "gsound-play.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp0_;
		const gchar* _tmp1_;
#line 100 "../tools/gsound-play.vala"
		e = _inner_error0_;
#line 100 "../tools/gsound-play.vala"
		_inner_error0_ = NULL;
#line 103 "../tools/gsound-play.vala"
		_tmp0_ = e;
#line 103 "../tools/gsound-play.vala"
		_tmp1_ = _tmp0_->message;
#line 103 "../tools/gsound-play.vala"
		g_print ("Error: %s\n", _tmp1_);
#line 100 "../tools/gsound-play.vala"
		_g_error_free0 (e);
#line 305 "gsound-play.c"
	}
	__finally0:
	{
		GError* _inner_error1_ = NULL;
		GMainLoop* _tmp2_;
#line 105 "../tools/gsound-play.vala"
		_tmp2_ = main_loop;
#line 105 "../tools/gsound-play.vala"
		g_main_loop_quit (_tmp2_);
#line 315 "gsound-play.c"
	}
#line 100 "../tools/gsound-play.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 100 "../tools/gsound-play.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 100 "../tools/gsound-play.vala"
		g_clear_error (&_inner_error0_);
#line 100 "../tools/gsound-play.vala"
		return;
#line 325 "gsound-play.c"
	}
}

static void
____lambda4__gasync_ready_callback (GObject* source_object,
                                    GAsyncResult* res,
                                    gpointer self)
{
#line 99 "../tools/gsound-play.vala"
	___lambda4_ (source_object, res);
#line 336 "gsound-play.c"
}

static gint
_vala_main (gchar** args,
            gint args_length1)
{
	GOptionContext* opt_ctx = NULL;
	GOptionContext* _tmp0_;
	GOptionContext* _tmp1_;
	GError* _inner_error0_ = NULL;
	gint result;
#line 58 "../tools/gsound-play.vala"
	setlocale (LC_ALL, "");
#line 60 "../tools/gsound-play.vala"
	g_set_application_name ("gsound-play");
#line 62 "../tools/gsound-play.vala"
	_tmp0_ = g_option_context_new (NULL);
#line 62 "../tools/gsound-play.vala"
	opt_ctx = _tmp0_;
#line 63 "../tools/gsound-play.vala"
	_tmp1_ = opt_ctx;
#line 63 "../tools/gsound-play.vala"
	g_option_context_add_main_entries (_tmp1_, opts, NULL);
#line 360 "gsound-play.c"
	{
		GOptionContext* _tmp2_;
		gboolean _tmp3_ = FALSE;
		const gchar* _tmp4_;
		GSoundContext* _tmp6_ = NULL;
		GSoundContext* _tmp7_;
		GSoundContext* _tmp8_;
		GSoundContext* _tmp9_;
		const gchar* _tmp10_;
		GHashFunc _tmp13_;
		GEqualFunc _tmp14_;
		GHashTable* _tmp15_;
		const gchar* _tmp16_;
		const gchar* _tmp21_;
		const gchar* _tmp26_;
		GMainLoop* _tmp34_;
		GMainLoop* _tmp35_;
#line 66 "../tools/gsound-play.vala"
		_tmp2_ = opt_ctx;
#line 66 "../tools/gsound-play.vala"
		g_option_context_parse (_tmp2_, (gint*) (&args_length1), &args, &_inner_error0_);
#line 66 "../tools/gsound-play.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 384 "gsound-play.c"
			goto __catch0_g_error;
		}
#line 68 "../tools/gsound-play.vala"
		_tmp4_ = event_id;
#line 68 "../tools/gsound-play.vala"
		if (_tmp4_ == NULL) {
#line 391 "gsound-play.c"
			const gchar* _tmp5_;
#line 68 "../tools/gsound-play.vala"
			_tmp5_ = filename;
#line 68 "../tools/gsound-play.vala"
			_tmp3_ = _tmp5_ == NULL;
#line 397 "gsound-play.c"
		} else {
#line 68 "../tools/gsound-play.vala"
			_tmp3_ = FALSE;
#line 401 "gsound-play.c"
		}
#line 68 "../tools/gsound-play.vala"
		if (_tmp3_) {
#line 69 "../tools/gsound-play.vala"
			g_print ("No event id or file specified.\n");
#line 70 "../tools/gsound-play.vala"
			result = 1;
#line 70 "../tools/gsound-play.vala"
			_g_option_context_free0 (opt_ctx);
#line 70 "../tools/gsound-play.vala"
			return result;
#line 413 "gsound-play.c"
		}
#line 73 "../tools/gsound-play.vala"
		_tmp7_ = gsound_context_new (NULL, &_inner_error0_);
#line 73 "../tools/gsound-play.vala"
		_tmp6_ = _tmp7_;
#line 73 "../tools/gsound-play.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 421 "gsound-play.c"
			goto __catch0_g_error;
		}
#line 73 "../tools/gsound-play.vala"
		_tmp8_ = _tmp6_;
#line 73 "../tools/gsound-play.vala"
		_tmp6_ = NULL;
#line 73 "../tools/gsound-play.vala"
		_g_object_unref0 (gs_ctx);
#line 73 "../tools/gsound-play.vala"
		gs_ctx = _tmp8_;
#line 74 "../tools/gsound-play.vala"
		_tmp9_ = gs_ctx;
#line 74 "../tools/gsound-play.vala"
		gsound_context_set_attributes (_tmp9_, &_inner_error0_, GSOUND_ATTR_APPLICATION_ID, "org.gnome.gsound-test", NULL);
#line 74 "../tools/gsound-play.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 74 "../tools/gsound-play.vala"
			_g_object_unref0 (_tmp6_);
#line 440 "gsound-play.c"
			goto __catch0_g_error;
		}
#line 76 "../tools/gsound-play.vala"
		_tmp10_ = driver;
#line 76 "../tools/gsound-play.vala"
		if (_tmp10_ != NULL) {
#line 447 "gsound-play.c"
			GSoundContext* _tmp11_;
			const gchar* _tmp12_;
#line 77 "../tools/gsound-play.vala"
			_tmp11_ = gs_ctx;
#line 77 "../tools/gsound-play.vala"
			_tmp12_ = driver;
#line 77 "../tools/gsound-play.vala"
			gsound_context_set_driver (_tmp11_, _tmp12_, &_inner_error0_);
#line 77 "../tools/gsound-play.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 77 "../tools/gsound-play.vala"
				_g_object_unref0 (_tmp6_);
#line 460 "gsound-play.c"
				goto __catch0_g_error;
			}
		}
#line 80 "../tools/gsound-play.vala"
		_tmp13_ = g_str_hash;
#line 80 "../tools/gsound-play.vala"
		_tmp14_ = g_str_equal;
#line 80 "../tools/gsound-play.vala"
		_tmp15_ = g_hash_table_new_full (_tmp13_, _tmp14_, _g_free0_, _g_free0_);
#line 80 "../tools/gsound-play.vala"
		_g_hash_table_unref0 (attrs);
#line 80 "../tools/gsound-play.vala"
		attrs = _tmp15_;
#line 82 "../tools/gsound-play.vala"
		_tmp16_ = event_id;
#line 82 "../tools/gsound-play.vala"
		if (_tmp16_ != NULL) {
#line 478 "gsound-play.c"
			GHashTable* _tmp17_;
			gchar* _tmp18_;
			const gchar* _tmp19_;
			gchar* _tmp20_;
#line 83 "../tools/gsound-play.vala"
			_tmp17_ = attrs;
#line 83 "../tools/gsound-play.vala"
			_tmp18_ = g_strdup (GSOUND_ATTR_EVENT_ID);
#line 83 "../tools/gsound-play.vala"
			_tmp19_ = event_id;
#line 83 "../tools/gsound-play.vala"
			_tmp20_ = g_strdup (_tmp19_);
#line 83 "../tools/gsound-play.vala"
			g_hash_table_insert (_tmp17_, _tmp18_, _tmp20_);
#line 493 "gsound-play.c"
		}
#line 85 "../tools/gsound-play.vala"
		_tmp21_ = filename;
#line 85 "../tools/gsound-play.vala"
		if (_tmp21_ != NULL) {
#line 499 "gsound-play.c"
			GHashTable* _tmp22_;
			gchar* _tmp23_;
			const gchar* _tmp24_;
			gchar* _tmp25_;
#line 86 "../tools/gsound-play.vala"
			_tmp22_ = attrs;
#line 86 "../tools/gsound-play.vala"
			_tmp23_ = g_strdup (GSOUND_ATTR_MEDIA_FILENAME);
#line 86 "../tools/gsound-play.vala"
			_tmp24_ = filename;
#line 86 "../tools/gsound-play.vala"
			_tmp25_ = g_strdup (_tmp24_);
#line 86 "../tools/gsound-play.vala"
			g_hash_table_insert (_tmp22_, _tmp23_, _tmp25_);
#line 514 "gsound-play.c"
		}
#line 88 "../tools/gsound-play.vala"
		_tmp26_ = cache;
#line 88 "../tools/gsound-play.vala"
		if (_tmp26_ != NULL) {
#line 520 "gsound-play.c"
			GHashTable* _tmp27_;
			gchar* _tmp28_;
			const gchar* _tmp29_;
			gchar* _tmp30_;
#line 89 "../tools/gsound-play.vala"
			_tmp27_ = attrs;
#line 89 "../tools/gsound-play.vala"
			_tmp28_ = g_strdup (GSOUND_ATTR_CANBERRA_CACHE_CONTROL);
#line 89 "../tools/gsound-play.vala"
			_tmp29_ = cache;
#line 89 "../tools/gsound-play.vala"
			_tmp30_ = g_strdup (_tmp29_);
#line 89 "../tools/gsound-play.vala"
			g_hash_table_insert (_tmp27_, _tmp28_, _tmp30_);
#line 535 "gsound-play.c"
		}
#line 91 "../tools/gsound-play.vala"
		if (volume != 0.0) {
#line 539 "gsound-play.c"
			GHashTable* _tmp31_;
			gchar* _tmp32_;
			gchar* _tmp33_;
#line 92 "../tools/gsound-play.vala"
			_tmp31_ = attrs;
#line 92 "../tools/gsound-play.vala"
			_tmp32_ = g_strdup (GSOUND_ATTR_CANBERRA_VOLUME);
#line 92 "../tools/gsound-play.vala"
			_tmp33_ = double_to_string (volume);
#line 92 "../tools/gsound-play.vala"
			g_hash_table_insert (_tmp31_, _tmp32_, _tmp33_);
#line 551 "gsound-play.c"
		}
#line 95 "../tools/gsound-play.vala"
		if (loops == 0) {
#line 96 "../tools/gsound-play.vala"
			loops = 1;
#line 557 "gsound-play.c"
		}
#line 99 "../tools/gsound-play.vala"
		play (____lambda4__gasync_ready_callback, NULL);
#line 109 "../tools/gsound-play.vala"
		_tmp34_ = g_main_loop_new (NULL, FALSE);
#line 109 "../tools/gsound-play.vala"
		_g_main_loop_unref0 (main_loop);
#line 109 "../tools/gsound-play.vala"
		main_loop = _tmp34_;
#line 110 "../tools/gsound-play.vala"
		_tmp35_ = main_loop;
#line 110 "../tools/gsound-play.vala"
		g_main_loop_run (_tmp35_);
#line 65 "../tools/gsound-play.vala"
		_g_object_unref0 (_tmp6_);
#line 573 "gsound-play.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp36_;
		const gchar* _tmp37_;
#line 65 "../tools/gsound-play.vala"
		e = _inner_error0_;
#line 65 "../tools/gsound-play.vala"
		_inner_error0_ = NULL;
#line 113 "../tools/gsound-play.vala"
		_tmp36_ = e;
#line 113 "../tools/gsound-play.vala"
		_tmp37_ = _tmp36_->message;
#line 113 "../tools/gsound-play.vala"
		g_print ("Error: %s\n", _tmp37_);
#line 114 "../tools/gsound-play.vala"
		result = 1;
#line 114 "../tools/gsound-play.vala"
		_g_error_free0 (e);
#line 114 "../tools/gsound-play.vala"
		_g_option_context_free0 (opt_ctx);
#line 114 "../tools/gsound-play.vala"
		return result;
#line 599 "gsound-play.c"
	}
	__finally0:
#line 65 "../tools/gsound-play.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 604 "gsound-play.c"
		gint _tmp38_ = -1;
#line 65 "../tools/gsound-play.vala"
		_g_option_context_free0 (opt_ctx);
#line 65 "../tools/gsound-play.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 65 "../tools/gsound-play.vala"
		g_clear_error (&_inner_error0_);
#line 65 "../tools/gsound-play.vala"
		return _tmp38_;
#line 614 "gsound-play.c"
	}
#line 117 "../tools/gsound-play.vala"
	result = 0;
#line 117 "../tools/gsound-play.vala"
	_g_option_context_free0 (opt_ctx);
#line 117 "../tools/gsound-play.vala"
	return result;
#line 622 "gsound-play.c"
}

int
main (int argc,
      char ** argv)
{
#line 56 "../tools/gsound-play.vala"
	return _vala_main (argv, argc);
#line 631 "gsound-play.c"
}

